<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusContactPlugin\Behat\Page\Admin\Request;

use Sylius\Behat\Page\Admin\Crud\UpdatePageInterface as UpdatePageInterfaceAlias;

interface UpdatePageInterface extends UpdatePageInterfaceAlias
{
    public function disable(): void;

    public function enable(): void;

    public function getLabel(string $language): string;

    public function getRecipientEmail(string $language): string;

    public function getRank(): string;

    public function isEnabled(): bool;
}